package smart_gs.swingui.toolbar.action;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import smart_gs.reasoning_web.swingui.ReasoningWebFrame;
import smart_gs.swingui.AbstractGSWindow;
import smart_gs.swingui.ResourceBasketsFrame;

public class ReasoningWebActionListener implements ActionListener {

	private String kind;

	public ReasoningWebActionListener(AbstractGSWindow abstractGSWindow,
			String kind) {
		this.kind = kind;
	}

	@Override
	public void actionPerformed(ActionEvent e) {
		if (this.kind.equals("rb")) {
			ResourceBasketsFrame.getInstance().showResourceBasketFrame();
		} else if (this.kind.equals("rw")){
			ReasoningWebFrame.getInstance().setVisible(true);
		}
	}

}
